#include <iostream>

using namespace std;

int main()
{
    int N,M;
    cin>>N>>M;
    int Ai[N];

    for (int i=0;i<N;i++)
        {
            cin>>Ai[i+1];
        }
    int X[M],Y[M];
    for (int i=0;i<M;i++)
        {
            cin>>X[i+1]>>Y[i+1];
        }


    return 0;
}